Class List Method List File List

# Class: OSX::NSBundle

Inherits:
  Object
  - Object
  - OSX::NSBundle
  show all
Defined in:
  src/ruby/osx/objc/application.rb

## Overview

NSBundle additions.

## Class Method Summary (collapse)

- + (OSX::NSBundle) loadNibNamed_owner(name, owner)

  Loads a nib|xib file under running application.

- + (OSX::NSBundle) mainBundle

  Returns mainBundle of ruuning application.

## Class Method Details

### + (`OSX::NSBundle`) loadNibNamed_owner(name, owner)

Loads a nib|xib file under running application.

Returns:

- (`OSX::NSBundle`)

    35
    36
    37
    # File 'src/ruby/osx/objc/application.rb', line 35

    def NSBundle.loadNibNamed_owner (name, owner)
      return OSX::APP_BUNDLE.loadNibNamed_owner(name, owner)
    end

### + (`OSX::NSBundle`) mainBundle

Returns mainBundle of ruuning application.

Returns:

- (`OSX::NSBundle`)

    41
    42
    43
    # File 'src/ruby/osx/objc/application.rb', line 41

    def NSBundle.mainBundle
      return OSX::APP_BUNDLE
    end